Panda3D

Loading...
Searching...
No Matches
Functions | Variables
referenceCount.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
template<class RefCountType>
void | unref_delete (RefCountType *ptr)
| This global helper function will unref the given ReferenceCount object, and if the reference count reaches zero, automatically delete it.

## Variables
template<class Base>
TypeHandle | RefCountObj< Base >::_type_handle
template<class Base>
TypeHandle | RefCountProxy< Base >::_type_handle

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1998-10-23

Definition in file referenceCount.I.

## Function Documentation

## ◆ unref_delete()

template<class RefCountType>

void unref_delete | ( | RefCountType * | ptr | ) |
| inline

This global helper function will unref the given ReferenceCount object, and if the reference count reaches zero, automatically delete it.

It can't be a member function because it's usually a bad idea to delete an object from within its own member function. It's a template function so the destructor doesn't have to be virtual.

Definition at line 344 of file referenceCount.I.

Referenced by ClientDevice::~ClientDevice(), RecorderTable::add_recorder(), GeomPrimitivePipelineReader::check_minmax(), RecorderTable::merge_from(), RecorderTable::remove_recorder(), GeomVertexArrayData::request_resident(), and DXGeomMunger9::wp_callback().

## Variable Documentation

## ◆ RefCountObj< Base >::_type_handle

template<class Base>

TypeHandle RefCountObj< Base >::_type_handle

Definition at line 18 of file referenceCount.I.

## ◆ RefCountProxy< Base >::_type_handle

template<class Base>

TypeHandle RefCountProxy< Base >::_type_handle

Definition at line 15 of file referenceCount.I.